Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 513 - XFree86-libs-3.3.3-1: problems with ru_RU.KOI8-R locale
Summary: XFree86-libs-3.3.3-1: problems with ru_RU.KOI8-R locale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-18 01:10 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-18 22:19:16 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1998-12-18 01:10:44 UTC
I've just installed the latest XFree86 updates from the
updates.redhat.com. After the upgrade it turned out that
when I type Cyrillic letters (my keymap uses Cyrillic_*
keysyms) in Xterm or in Licq, I get Cyrillic letters, but
the wrong ones!

When I had downgraded to XFree86-libs-3.3.2.3-18 (keeping
other XFree-*-3.3.3-1 packages) and started a new xterm,
that xterm was working fine. I restarted my X server and now
everything works fine (with the old libs).

My configuration: RH 5.1 + updates, glibc-2.0.7-19, kernel
2.0.35

Comment 1 Preston Brown 1999-01-11 19:16:59 UTC
Cristian, you said you knew something about this one; can you
elaborate for us?

Comment 2 Aleksey Nogin 1999-01-13 00:22:59 UTC
"Cyrillic letters, but the wrong ones" turned out to be the ISO-5559-5
encoding of Cyrillics. It would seem that something is wrong with the
way new X libs are handling locales, since the locale files are not in
the XFree86-libs RPM, and should not be affected by the XFree86-libs
upgrade.

If you need more information on my locale setup, take a look at bug
report #641, where I describe several methods of enabling ru_RU.KOI8-R
locale. Currently, I am using

cd /usr/share/locale
localedef -ci ru_RU -f KOI8-R ru_RU.KOI8-R
mv ru_RU.koi8r ru_RU.KOI8-R

setup

Comment 3 Preston Brown 1999-01-18 22:19:59 UTC
This is fixed in a forthcoming errata release of XFree86 3.3.3.1.


Note You need to log in before you can comment on or make changes to this bug.